> For the complete documentation index, see [llms.txt](https://docs.growlytics.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.growlytics.in/integration/ios-sdk/push-notification-settings/handling-push-click.md).

# Handling Push Click

While configuring push campaign in growlytics dashboard, you can specify any of following 3 click actions:

1. Open Web URL
2. Open Deep Link
3. Open App
4. Open Screen

you can pass custom key value meta information with push notification. This will help you build contextful notification click actions.

This method calls when user clicks on push notification and developer can perform an action on the basis of notification type:

```swift
import UIKit
import Growlytics
import UserNotifications

@QUIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate, UNUserNotificationCenterDelegate {
    var window: UIWindow?

    //
    // ....OTHER FUNCTIONS......    
    //
        
    // THIS FUNCTION WILL BE CALLED BY GROWLYTICS SDK WHEN
    // USER CLICKS ON PUSH NOTIFICATION SENT WITH GROWLYTICS.
    func sendNotificationDataToAppDelegate(kvPair: [[String : Any]], 
        screenName: String, action: String) { 
        
    }
    
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.growlytics.in/integration/ios-sdk/push-notification-settings/handling-push-click.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
